From ce019639620484ddd8673f5432aef672356ed084 Mon Sep 17 00:00:00 2001
From: Joao Pereira and Sarah McAlear <pair+jpereira+smcalear@pivotal.io>
Date: Thu, 23 Mar 2017 18:14:00 -0400
Subject: [PATCH] Change drop_database cleanup to terminate processes

Out-of-band for this commit: pgadmin was made a db superuser so terminate would work
---
 web/regression/python_test_utils/test_utils.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/web/regression/python_test_utils/test_utils.py b/web/regression/python_test_utils/test_utils.py
index 28b8bb8d..c7808e92 100644
--- a/web/regression/python_test_utils/test_utils.py
+++ b/web/regression/python_test_utils/test_utils.py
@@ -185,7 +185,7 @@ def drop_database(connection, database_name):
                               )
         else:
             pg_cursor.execute(
-                "SELECT pg_cancel_backend(procpid) FROM pg_stat_activity " \
+                "SELECT pg_terminate_backend(procpid) FROM pg_stat_activity " \
                 "WHERE pg_stat_activity.datname ='%s' AND current_query='<IDLE>';" % database_name
             )
         pg_cursor.execute("SELECT * FROM pg_database db WHERE"
-- 
2.12.0

